From da59a70c094d6a39a19ca75ade38ef06a71b6c64 Mon Sep 17 00:00:00 2001
From: Tom Lane <tgl@sss.pgh.pa.us>
Date: Mon, 20 Dec 2004 17:13:41 +0000
Subject: [PATCH] Remove direct inclusions of <com_err.h> as well as configure
 test for its presence.  This amounts to desupporting Kerberos 5 releases
 1.0.*, which is small loss, and simplifies use of our Kerberos code on
 platforms with Red-Hat-style include file layouts.  Per gripe from John Gray
 and followup discussion.

---
 configure                      | 110 ---------------------------------
 configure.in                   |   3 +-
 src/backend/libpq/auth.c       |   3 +-
 src/interfaces/libpq/fe-auth.c |   3 +-
 4 files changed, 3 insertions(+), 116 deletions(-)

diff --git a/configure b/configure
index 5cca614b871..819a427ea6f 100755
--- a/configure
+++ b/configure
@@ -9098,116 +9098,6 @@ echo "$as_me: error: header file <krb5.h> is required for Kerberos 5" >&2;}
 fi
 
 
-  if test "${ac_cv_header_com_err_h+set}" = set; then
-  echo "$as_me:$LINENO: checking for com_err.h" >&5
-echo $ECHO_N "checking for com_err.h... $ECHO_C" >&6
-if test "${ac_cv_header_com_err_h+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header_com_err_h" >&5
-echo "${ECHO_T}$ac_cv_header_com_err_h" >&6
-else
-  # Is the header compilable?
-echo "$as_me:$LINENO: checking com_err.h usability" >&5
-echo $ECHO_N "checking com_err.h usability... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-$ac_includes_default
-#include <com_err.h>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-         { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_header_compiler=yes
-else
-  echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_header_compiler=no
-fi
-rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6
-
-# Is the header present?
-echo "$as_me:$LINENO: checking com_err.h presence" >&5
-echo $ECHO_N "checking com_err.h presence... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-#include <com_err.h>
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
-  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
-  ac_status=$?
-  egrep -v '^ *\+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null; then
-  if test -s conftest.err; then
-    ac_cpp_err=$ac_c_preproc_warn_flag
-  else
-    ac_cpp_err=
-  fi
-else
-  ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
-  ac_header_preproc=yes
-else
-  echo "$as_me: failed program was:" >&5
-  cat conftest.$ac_ext >&5
-  ac_header_preproc=no
-fi
-rm -f conftest.err conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6
-
-# So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc in
-  yes:no )
-    { echo "$as_me:$LINENO: WARNING: com_err.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: com_err.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: com_err.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: com_err.h: proceeding with the preprocessor's result" >&2;};;
-  no:yes )
-    { echo "$as_me:$LINENO: WARNING: com_err.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: com_err.h: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: com_err.h: check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: com_err.h: check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: com_err.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: com_err.h: proceeding with the preprocessor's result" >&2;};;
-esac
-echo "$as_me:$LINENO: checking for com_err.h" >&5
-echo $ECHO_N "checking for com_err.h... $ECHO_C" >&6
-if test "${ac_cv_header_com_err_h+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_cv_header_com_err_h=$ac_header_preproc
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header_com_err_h" >&5
-echo "${ECHO_T}$ac_cv_header_com_err_h" >&6
-
-fi
-if test $ac_cv_header_com_err_h = yes; then
-  :
-else
-  { { echo "$as_me:$LINENO: error: header file <com_err.h> is required for Kerberos 5" >&5
-echo "$as_me: error: header file <com_err.h> is required for Kerberos 5" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-
-
 fi
 
 if test "$with_openssl" = yes ; then
diff --git a/configure.in b/configure.in
index 6f7922ae3b0..f074aa32408 100644
--- a/configure.in
+++ b/configure.in
@@ -1,5 +1,5 @@
 dnl Process this file with autoconf to produce a configure script.
-dnl $PostgreSQL: pgsql/configure.in,v 1.391 2004/12/16 20:40:59 tgl Exp $
+dnl $PostgreSQL: pgsql/configure.in,v 1.392 2004/12/20 17:13:39 tgl Exp $
 dnl
 dnl Developers, please strive to achieve this order:
 dnl
@@ -763,7 +763,6 @@ fi
 
 if test "$with_krb5" = yes ; then
   AC_CHECK_HEADER(krb5.h, [], [AC_MSG_ERROR([header file <krb5.h> is required for Kerberos 5])])
-  AC_CHECK_HEADER(com_err.h, [], [AC_MSG_ERROR([header file <com_err.h> is required for Kerberos 5])])
 fi
 
 if test "$with_openssl" = yes ; then
diff --git a/src/backend/libpq/auth.c b/src/backend/libpq/auth.c
index b374077ee41..35fe2801aeb 100644
--- a/src/backend/libpq/auth.c
+++ b/src/backend/libpq/auth.c
@@ -8,7 +8,7 @@
  *
  *
  * IDENTIFICATION
- *	  $PostgreSQL: pgsql/src/backend/libpq/auth.c,v 1.119 2004/10/12 21:54:38 petere Exp $
+ *	  $PostgreSQL: pgsql/src/backend/libpq/auth.c,v 1.120 2004/12/20 17:13:40 tgl Exp $
  *
  *-------------------------------------------------------------------------
  */
@@ -150,7 +150,6 @@ pg_krb4_recvauth(Port *port)
  */
 
 #include <krb5.h>
-#include <com_err.h>
 
 /*
  * pg_an_to_ln -- return the local name corresponding to an authentication
diff --git a/src/interfaces/libpq/fe-auth.c b/src/interfaces/libpq/fe-auth.c
index fa586ce5b86..92832ed58f3 100644
--- a/src/interfaces/libpq/fe-auth.c
+++ b/src/interfaces/libpq/fe-auth.c
@@ -10,7 +10,7 @@
  * exceed INITIAL_EXPBUFFER_SIZE (currently 256 bytes).
  *
  * IDENTIFICATION
- *	  $PostgreSQL: pgsql/src/interfaces/libpq/fe-auth.c,v 1.95 2004/11/09 15:57:57 petere Exp $
+ *	  $PostgreSQL: pgsql/src/interfaces/libpq/fe-auth.c,v 1.96 2004/12/20 17:13:41 tgl Exp $
  *
  *-------------------------------------------------------------------------
  */
@@ -243,7 +243,6 @@ pg_krb4_sendauth(char *PQerrormsg, int sock,
  */
 
 #include <krb5.h>
-#include <com_err.h>
 
 /*
  * pg_an_to_ln -- return the local name corresponding to an authentication
-- 
GitLab